Bug 12943 - box-shadow: small values don't affect shadow position
Summary: box-shadow: small values don't affect shadow position
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Nobody
URL:
Keywords: HasReduction, InRadar
Depends on:
Blocks:
 
Reported: 2007-03-02 04:20 PST by Jan Boeijink
Modified: 2007-12-14 11:38 PST (History)
2 users (show)

See Also:


Attachments
shadow position not changed when using small position values (321 bytes, text/html)
2007-03-02 04:22 PST, Jan Boeijink
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Boeijink 2007-03-02 04:20:35 PST
Not sure if this is a real bug, but when using small values for length attributes (-1px or 0px or 1px), there is no visual difference in the shadow position. I opened a screenshot in Photoshop but the RGB values are identical.
Comment 1 Jan Boeijink 2007-03-02 04:22:51 PST
Created attachment 13450 [details]
shadow position not changed when using small position values
Comment 2 Jan Boeijink 2007-03-02 04:23:55 PST
Added an example in the attachment.
Comment 3 mitz 2007-03-02 04:48:08 PST
I think this is a bug in Core Graphics. I've noticed it while trying to fix box shadow repaint.
Comment 4 Mark Rowe (bdash) 2007-03-07 06:53:31 PST
<rdar://problem/5045728>
Comment 5 mitz 2007-07-23 15:09:47 PDT
See also bug 14736.
Comment 6 mitz 2007-12-14 11:38:38 PST
Fixed in <http://trac.webkit.org/projects/webkit/changeset/28714>.